bdi4jade.core

## Class SingleCapabilityAgent

- java.lang.Object
- - jade.core.Agent
  - - bdi4jade.core.AbstractBDIAgent
    - - bdi4jade.core.SingleCapabilityAgent

- All Implemented Interfaces:
    BDIAgent, jade.core.TimerListener, java.io.Serializable, java.lang.Runnable

      public class SingleCapabilityAgent
      extends AbstractBDIAgent

  This class is a BDIAgent that has a single capability.
  Author:
    Ingrid Nunes
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class jade.core.Agent

      `jade.core.Agent.Interrupted`

  - ### Field Summary

    - ### Fields inherited from class bdi4jade.core.AbstractBDIAgent

      `goalListeners`

    - ### Fields inherited from class jade.core.Agent

      `AP_ACTIVE, AP_DELETED, AP_IDLE, AP_INITIATED, AP_MAX, AP_MIN, AP_SUSPENDED, AP_WAITING, D_ACTIVE, D_MAX, D_MIN, D_RETIRED, D_SUSPENDED, D_UNKNOWN, MSG_QUEUE_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SingleCapabilityAgent()` Default constructor.
    `SingleCapabilityAgent(Capability capability)` Creates a new BDIAgent with the given capability.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Capability` | `getCapability()` Returns the capability of this agent.
    `void` | `setCapability(Capability capability)` Sets the capability of this agent.

    - ### Methods inherited from class bdi4jade.core.AbstractBDIAgent

      `addGoal, addGoal, addGoal, addGoal, addGoalListener, addSoftgoal, canHandle, dropGoal, dropSoftoal, getAllCapabilities, getBeliefRevisionStrategy, getBeliefs, getCapabilities, getDeliberationFunction, getGoalListeners, getGoalOwner, getGoals, getIntentions, getOptionGenerationFunction, getPlanSelectionStrategy, getSoftgoals, hasGoal, init, removeGoalListener, restart, setBeliefRevisionStrategy, setDeliberationFunction, setOptionGenerationFunction, setPlanSelectionStrategy, setup, takeDown`

    - ### Methods inherited from class jade.core.Agent

      `addBehaviour, afterClone, afterMove, beforeClone, beforeMove, blockingReceive, blockingReceive, blockingReceive, blockingReceive, changeStateTo, clean, createMessageQueue, doActivate, doClone, doDelete, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getArguments, getBootProperties, getContainerController, getContentManager, getCurQueueSize, getDefaultDF, getHap, getHelper, getLocalName, getName, getO2AInterface, getO2AObject, getProperty, getQueueSize, getState, here, isRestarting, join, notifyChangeBehaviourState, notifyRestarted, postMessage, putBack, putO2AObject, receive, receive, registerO2AInterface, removeBehaviour, removeTimer, restartLater, restore, restoreBufferedState, run, send, setArguments, setEnabledO2ACommunication, setGenerateBehaviourEvents, setO2AManager, setQueueSize, waitUntilStarted, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface bdi4jade.core.BDIAgent

      `blockingReceive, blockingReceive, blockingReceive, blockingReceive, doActivate, doClone, doDelete, doMove, doSuspend, doTimeOut, doWait, doWait, doWake, getAgentState, getAID, getAMS, getContainerController, getContentManager, getCurQueueSize, getHap, getHelper, getLocalName, getName, getQueueSize, here, putBack, receive, receive, send, setQueueSize`

- - ### Constructor Detail

    - #### SingleCapabilityAgent

          public SingleCapabilityAgent()

      Default constructor. Creates a new BDIAgent with a single capability.

    - #### SingleCapabilityAgent

          public SingleCapabilityAgent(Capability capability)

      Creates a new BDIAgent with the given capability.
      Parameters:
        `capability` - the capability to be added to the agent.

  - ### Method Detail

    - #### getCapability

          public Capability getCapability()

      Returns the capability of this agent.
      Returns:
        the capability.

    - #### setCapability

          public void setCapability(Capability capability)

      Sets the capability of this agent.
      Parameters:
        `capability` - the capability to set.